Create a saved object
- Base URL
-
https://{kibana_url}
Auth
Deprecated
This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Creates a Kibana saved object; if an ID is provided it is used, otherwise Kibana generates one.
For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).
-
type
string · max length: 256
required
-
The saved object type.
-
id
string · max length: 512
optional
-
The saved object identifier.
Leave it out to use /api/saved_objects/{type}.
-
overwrite
boolean · default: false
-
Overwrite an existing saved object.
-
A required header to protect against CSRF attacks
-
attributes
map string to object
required
-
coreMigrationVersion
string · max length: 256
-
initialNamespaces
string[] · min items: 1 · max items: 100
-
migrationVersion
map string to string
-
<string>
string · max length: 256
-
references
object[] · max items: 1000
-
-
id
string · max length: 512
required
-
name
string · max length: 1024
required
-
type
string · max length: 256
required
-
typeMigrationVersion
string · max length: 256
200
A successful create response.
application/json
Thank you for your feedback.